#
# spec file for package libzimg
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define         sover 2

Name:           libzimg
Summary:        Scaling, colorspace conversion, and dithering library 
Version:        2.5.1
Release:        1.1
Url:            https://github.com/sekrit-twc/zimg
Source0:        zimg-release-%{version}.tar.gz
License:        WTFPL
Group:          System/Libraries
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  pkgconfig

%description
The "z" library implements the commonly required image processing
basics of scaling, colorspace conversion, and depth conversion.

%package -n libzimg%{sover}
Summary:        Scaling, colorspace conversion, and dithering library
Group:          System/Libraries

%description -n libzimg%{sover}
The "z" library implements the commonly required image processing
basics of scaling, colorspace conversion, and depth conversion.

%package devel
Summary:        Development files for libzimg%{sover}
Group:          Development/Libraries/C and C++
Requires:       libzimg%{sover} = %{version}

%description devel
The libzimg-devel package contains libraries and header files for
developing applications that use libzimg%{sover}.

%prep
%setup -n zimg-release-%{version}

%build
./autogen.sh
%configure \
  --docdir=%{_docdir}/libzimg \
  --enable-x86simd \
  --disable-static
%__make %{?jobs:-j %jobs}

%install
%makeinstall
find %{buildroot} -iname '*.la' -delete

%post -n libzimg%{sover} -p /sbin/ldconfig

%postun -n libzimg%{sover} -p /sbin/ldconfig

%files -n libzimg%{sover}
%defattr(-,root,root)
%{_libdir}/libzimg.so.2
%{_libdir}/libzimg.so.2.0.0
%dir %{_docdir}/libzimg
%doc %{_docdir}/libzimg/COPYING
%doc %{_docdir}/libzimg/README.md
%doc %{_docdir}/libzimg/ChangeLog

%files devel
%defattr(-,root,root)
%{_includedir}/zimg.h
%{_includedir}/zimg++.hpp
%{_libdir}/libzimg.so
%{_libdir}/pkgconfig/zimg.pc
%{_docdir}/libzimg/example/

%changelog
* Thu Jun 22 2017 joerg.lorenzen@ki.tng.de
- Update to version 2.5.1
  + depth: fix AVX2 conversion from half to byte/word
    (introduced in 2.1).
* Thu Mar 30 2017 joerg.lorenzen@ki.tng.de
- Initial package, version 2.5
